AgentOptions (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.agent
Class AgentOptions

    java.lang.Object
      org.slf4j.agent.AgentOptions

    public class AgentOptions

extends Object

All recognized options in the string passed to the java agent. For "java -javaagent:foo.jar=OPTIONS HelloWorld" this would be "OPTIONS".

It is considered to be a list of options separated by (currently) ";", on the form "option=value". The interpretation of "value" is specific to each option.

Field Summary
`static String` | `IGNORE` List of class prefixes to ignore when instrumenting.
`static String` | `LEVEL` Indicate the SLF4J level that should be used by the logging statements added by the agent.
`static String` | `TIME` Indicate that the agent should print out "new java.util.Date()" at the time the option was processed and at shutdown time (using the shutdown hook).
`static String` | `VERBOSE` Indicate that the agent should log actions to System.err, like adding logging to methods, etc.

Constructor Summary
`AgentOptions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IGNORE

    public static final String IGNORE

  List of class prefixes to ignore when instrumenting. Note: Classes loaded before the agent cannot be instrumented.

  See Also:
    Constant Field Values

### LEVEL

    public static final String LEVEL

  Indicate the SLF4J level that should be used by the logging statements added by the agent. Default is "info".

  See Also:
    Constant Field Values

### TIME

    public static final String TIME

  Indicate that the agent should print out "new java.util.Date()" at the time the option was processed and at shutdown time (using the shutdown hook).

  See Also:
    Constant Field Values

### VERBOSE

    public static final String VERBOSE

  Indicate that the agent should log actions to System.err, like adding logging to methods, etc.

  See Also:
    Constant Field Values

Constructor Detail

### AgentOptions

    public AgentOptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.